Bug 240694 - here are some errors that appeared while using the Openoffice.org
here are some errors that appeared while using the Openoffice.org
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-20 11:56 EDT by Juan
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: F-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-19 07:14:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juan 2007-05-20 11:56:27 EDT
(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers/i810_drv.so
(III)  Desktop is: GNOME
(IV)   libgcj version is: libgcj-4.1.1-51.fc6-i386
(V)    kernel is: Linux 2.6.20-1.2933.fc6 #1 SMP Mon Mar 19 10:42:48 EDT 2007
i686 i686 i386
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.0.4-5.5.17-i386
(VII)  depth of root window:    24 planes
(VIII) accessibility is: false
(VIV)  fedora release is: Fedora Core release 6 (Zod)
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   enforcing
Mode from config file:          enforcing
Policy version:                 21
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0x456eaee8: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x22ee8
0x456ebb7b: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x23b7b
0x7a6420:  + 0x420 (__kernel_sigreturn + 0x0)
0x3f37bd0: /usr/lib/openoffice.org2.0/program/libscui680li.so + 0x1bbd0
0x4de9477d: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0x1ec77d
(ScTabViewShell::ExecuteCellFormatDlg(SfxRequest&, unsigned short) + 0x23d)
0x4df0e90a: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0x26690a
0x4defedb4: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0x256db4
0x49f49fba: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x277fba
0x49f4a863: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x278863
(SfxDispatcher::_Execute(SfxShell&, SfxSlot const&, SfxRequest&, unsigned short)
+ 0x93)
0x49f3d9c0: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x26b9c0
0x49f407dc: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x26e7dc
0x49f40aba: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x26eaba
(SfxBindings::Execute(unsigned short, SfxPoolItem const**, unsigned short,
unsigned short, SfxPoolItem const**) + 0x5a)
0x49f7a949: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x2a8949
0x49f7a988: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x2a8988
0x4918ba37: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x21ea37
(Menu::Select() + 0x57)
0x49192086: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x225086
0x4919379e: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x22679e
(PopupMenu::Execute(Window*, Rectangle const&, unsigned short) + 0x4e)
0x49193807: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x226807
(PopupMenu::Execute(Window*, Point const&) + 0x47)
0x49f7a655: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x2a8655
0x49f7b6a4: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x2a96a4
0x49f46259: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x274259
(SfxDispatcher::ExecutePopup(unsigned short, Window*, Point const*) + 0xf9)
0x4dec288d: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0x21a88d
0x491ec09f: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x27f09f
0x491ee7da: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x2817da
0x491eeb1f: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x281b1f
0x285569: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x38569
0x48b31a60: /usr/lib/libgtk-x11-2.0.so.0 + 0x132a60
0x488dad9b: /lib/libgobject-2.0.so.0 + 0x8d9b (g_closure_invoke + 0x12b)
0x488eb433: /lib/libgobject-2.0.so.0 + 0x19433
0x488ec71f: /lib/libgobject-2.0.so.0 + 0x1a71f (g_signal_emit_valist + 0x68f)
0x488ecb19: /lib/libgobject-2.0.so.0 + 0x1ab19 (g_signal_emit + 0x29)
0x48c46508: /usr/lib/libgtk-x11-2.0.so.0 + 0x247508
0x48b2ae33: /usr/lib/libgtk-x11-2.0.so.0 + 0x12be33 (gtk_propagate_event + 0x183)
0x48b2c037: /usr/lib/libgtk-x11-2.0.so.0 + 0x12d037 (gtk_main_do_event + 0x317)
0x48dea12a: /usr/lib/libgdk-x11-2.0.so.0 + 0x4112a
0x484f9442: /lib/libglib-2.0.so.0 + 0x2b442 (g_main_context_dispatch + 0x182)
0x484fc41f: /lib/libglib-2.0.so.0 + 0x2e41f
0x484fc985: /lib/libglib-2.0.so.0 + 0x2e985 (g_main_context_iteration + 0x65)
0x25ec21: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x11c21
0xad37c7: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x517c7
(X11SalInstance::Yield(bool, bool) + 0x37)
0x490026b8: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x956b8
(Application::Yield(bool) + 0x68)
0x4900278c: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x9578c
(Application::Execute() + 0x3c)
0x4a0dd289: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x26289
(desktop::Desktop::Main() + 0x1779)
0x4900825c: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x9b25c
0x49008365: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x9b365
(SVMain() + 0x35)
0x4a0ce979: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x17979 (sal_main
+ 0x59)
0x4a0cea04: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x17a04 (main + 0x44)
0x4c6f1f2c: /lib/libc.so.6 + 0x15f2c (__libc_start_main + 0xdc)
0x80484a1: /usr/lib/openoffice.org2.0/program/scalc.bin + 0x4a1
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x00bc3000)
	libuno_sal.so.3 => /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 (0x002bc000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib/openoffice.org2.0/program/libuno_salhelpergcc3.so.3 (0x008cb000)
	libstore.so.3 => /usr/lib/openoffice.org2.0/program/libstore.so.3 (0x00b24000)
	libdl.so.2 => /lib/libdl.so.2 (0x007ef000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x0096a000)
	libstlport_gcc.so => /usr/lib/openoffice.org2.0/program/libstlport_gcc.so
(0x00ea7000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00110000)
	libm.so.6 => /lib/libm.so.6 (0x001fb000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x007b3000)
	libc.so.6 => /lib/libc.so.6 (0x00481000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x00ab9000)
	/lib/ld-linux.so.2 (0x80000000)
...end sample ldd details ...


0x160351: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x50351
(SalDisplay::DispatchInternalEvent() + 0xb1)
0x589c66: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0xfc66
0x589ca1: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0xfca1
0x484f76e1: /lib/libglib-2.0.so.0 + 0x296e1
0x484f9442: /lib/libglib-2.0.so.0 + 0x2b442 (g_main_context_dispatch + 0x182)
0x484fc41f: /lib/libglib-2.0.so.0 + 0x2e41f
0x484fc985: /lib/libglib-2.0.so.0 + 0x2e985 (g_main_context_iteration + 0x65)
0x58bb91: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x11b91
0x1617c7: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x517c7
(X11SalInstance::Yield(bool, bool) + 0x37)
0x490026b8: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x956b8
(Application::Yield(bool) + 0x68)
0x4900278c: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x9578c
(Application::Execute() + 0x3c)
0x4a0dd289: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x26289
(desktop::Desktop::Main() + 0x1779)
0x4900825c: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x9b25c
0x49008365: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x9b365
(SVMain() + 0x35)
0x4a0ce979: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x17979 (sal_main
+ 0x59)
0x4a0cea04: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x17a04 (main + 0x44)
0x4c6f1f2c: /lib/libc.so.6 + 0x15f2c (__libc_start_main + 0xdc)
0x80484a1: /usr/lib/openoffice.org2.0/program/scalc.bin + 0x4a1
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x0032f000)
	libuno_sal.so.3 => /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 (0x00110000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib/openoffice.org2.0/program/libuno_salhelpergcc3.so.3 (0x00477000)
	libstore.so.3 => /usr/lib/openoffice.org2.0/program/libstore.so.3 (0x00adf000)
	libdl.so.2 => /lib/libdl.so.2 (0x00573000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x004a1000)
	libstlport_gcc.so => /usr/lib/openoffice.org2.0/program/libstlport_gcc.so
(0x00330000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x007c2000)
	libm.so.6 => /lib/libm.so.6 (0x002d5000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x002fc000)
	libc.so.6 => /lib/libc.so.6 (0x00577000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x00401000)
	/lib/ld-linux.so.2 (0x80000000)
...end sample ldd details ...


(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers/i810_drv.so
(III)  Desktop is: GNOME
(IV)   libgcj version is: libgcj-4.1.1-51.fc6-i386
(V)    kernel is: Linux 2.6.20-1.2933.fc6 #1 SMP Mon Mar 19 10:42:48 EDT 2007
i686 i686 i386
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.0.4-5.5.17-i386
(VII)  depth of root window:    24 planes
(VIII) accessibility is: false
(VIV)  fedora release is: Fedora Core release 6 (Zod)
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   enforcing
Mode from config file:          enforcing
Policy version:                 21
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0x456eaee8: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x22ee8
0x456ebb7b: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x23b7b
0xcd9420:  + 0x420 (__kernel_sigreturn + 0x0)
0x4a0096a5: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x3376a5
0x4a009837: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x337837
(SfxTabDialog::Execute() + 0x37)
0x122c581: /usr/lib/openoffice.org2.0/program/libsch680li.so + 0x11c581
0x1240980: /usr/lib/openoffice.org2.0/program/libsch680li.so + 0x130980
0x1242eb4: /usr/lib/openoffice.org2.0/program/libsch680li.so + 0x132eb4
0x49f5cc25: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x28ac25
(SfxShell::ExecuteSlot(SfxRequest&, SfxInterface const*) + 0x65)
0x124075e: /usr/lib/openoffice.org2.0/program/libsch680li.so + 0x13075e
0x1242eb4: /usr/lib/openoffice.org2.0/program/libsch680li.so + 0x132eb4
0x49f49fba: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x277fba
0x49f4a863: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x278863
(SfxDispatcher::_Execute(SfxShell&, SfxSlot const&, SfxRequest&, unsigned short)
+ 0x93)
0x49f3d9c0: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x26b9c0
0x49f407dc: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x26e7dc
0x49f40aba: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x26eaba
(SfxBindings::Execute(unsigned short, SfxPoolItem const**, unsigned short,
unsigned short, SfxPoolItem const**) + 0x5a)
0x49f7a949: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x2a8949
0x49f7a988: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x2a8988
0x4918ba37: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x21ea37
(Menu::Select() + 0x57)
0x49192086: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x225086
0x4919379e: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x22679e
(PopupMenu::Execute(Window*, Rectangle const&, unsigned short) + 0x4e)
0x49193807: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x226807
(PopupMenu::Execute(Window*, Point const&) + 0x47)
0x49f7a655: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x2a8655
0x49f7b6a4: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x2a96a4
0x49f46018: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x274018
(SfxDispatcher::ExecutePopup(ResId const&, Window*, Point const*) + 0x58)
0x124443c: /usr/lib/openoffice.org2.0/program/libsch680li.so + 0x13443c
0x1245039: /usr/lib/openoffice.org2.0/program/libsch680li.so + 0x135039
0x491ec09f: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x27f09f
0x491ee7da: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x2817da
0x491eeb1f: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x281b1f
0xc77569: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x38569
0x48b31a60: /usr/lib/libgtk-x11-2.0.so.0 + 0x132a60
0x488dad9b: /lib/libgobject-2.0.so.0 + 0x8d9b (g_closure_invoke + 0x12b)
0x488eb433: /lib/libgobject-2.0.so.0 + 0x19433
0x488ec71f: /lib/libgobject-2.0.so.0 + 0x1a71f (g_signal_emit_valist + 0x68f)
0x488ecb19: /lib/libgobject-2.0.so.0 + 0x1ab19 (g_signal_emit + 0x29)
0x48c46508: /usr/lib/libgtk-x11-2.0.so.0 + 0x247508
0x48b2ae33: /usr/lib/libgtk-x11-2.0.so.0 + 0x12be33 (gtk_propagate_event + 0x183)
0x48b2c037: /usr/lib/libgtk-x11-2.0.so.0 + 0x12d037 (gtk_main_do_event + 0x317)
0x48dea12a: /usr/lib/libgdk-x11-2.0.so.0 + 0x4112a
0x484f9442: /lib/libglib-2.0.so.0 + 0x2b442 (g_main_context_dispatch + 0x182)
0x484fc41f: /lib/libglib-2.0.so.0 + 0x2e41f
0x484fc985: /lib/libglib-2.0.so.0 + 0x2e985 (g_main_context_iteration + 0x65)
0xc50c21: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x11c21
0xd4c7c7: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x517c7
(X11SalInstance::Yield(bool, bool) + 0x37)
0x490026b8: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x956b8
(Application::Yield(bool) + 0x68)
0x4900278c: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x9578c
(Application::Execute() + 0x3c)
0x4a0dd289: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x26289
(desktop::Desktop::Main() + 0x1779)
0x4900825c: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x9b25c
0x49008365: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x9b365
(SVMain() + 0x35)
0x4a0ce979: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x17979 (sal_main
+ 0x59)
0x4a0cea04: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x17a04 (main + 0x44)
0x4c6f1f2c: /lib/libc.so.6 + 0x15f2c (__libc_start_main + 0xdc)
0x80484a1: /usr/lib/openoffice.org2.0/program/swriter.bin + 0x4a1
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x001be000)
	libuno_sal.so.3 => /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 (0x00bf9000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib/openoffice.org2.0/program/libuno_salhelpergcc3.so.3 (0x002a6000)
	libstore.so.3 => /usr/lib/openoffice.org2.0/program/libstore.so.3 (0x009f1000)
	libdl.so.2 => /lib/libdl.so.2 (0x00110000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x008c3000)
	libstlport_gcc.so => /usr/lib/openoffice.org2.0/program/libstlport_gcc.so
(0x00581000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x007a2000)
	libm.so.6 => /lib/libm.so.6 (0x006a3000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00114000)
	libc.so.6 => /lib/libc.so.6 (0x00ebe000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x00120000)
	/lib/ld-linux.so.2 (0x80000000)
...end sample ldd details ...


I don't understand very well the meaning of the problems, but when they appeard
it said that I had to report them. So sorry for no giving further information,
but that`s all I know. They appeard when I tried to enter the format cell window
in the Openoffice.org Calc, for example, but also with the Openoffice.org Writer.
Thank you!

Juan.
Comment 1 Caolan McNamara 2007-05-21 03:05:10 EDT
Just from "format->cell" and then crash ? 

Can you upgrade your OOo to the latest release for FC-6 (which is
openoffice.org-2.0.4-5.5.22, e.g. yum update openoffice.org-calc) and see if the
problem still exists ?
Comment 2 Caolan McNamara 2007-06-19 07:14:00 EDT
These should all be ok on F-7, if there are any such problems on that release,
feel free to reopen.

Note You need to log in before you can comment on or make changes to this bug.